/*
	Wiisprite API Example by Feesh!
	Invaders... Possibly from Space!
*/


#include <ogcsys.h>
#include <gccore.h>
#include <wiiuse/wpad.h>
#include <fat.h>
#include <wiisprite.h>

#include "engine.h"

using namespace wsp;

void ScanPADSandReset(void)
{
   PAD_ScanPads();
   WPAD_ScanPads();
	if(PAD_ButtonsDown(0)&PAD_TRIGGER_Z || WPAD_ButtonsDown(0)&WPAD_BUTTON_HOME)
	{
		exit(0);
	}
	if(!((*(u32*)0xCC003000)>>16))
	{
		exit(0);
	}
}


int main(int argc, char **argv)
{
	GameWindow gw;
	PAD_Init();
	WPAD_Init();
	gw.InitVideo();

	fatInitDefault();

	Engine engine;

	for(;;)
	{
		ScanPADSandReset();
		engine.update();
		gw.Flush();
	}
	return 0;
}
